PlazaPanel = PlazaPanel or {}
local this = PlazaPanel
this.panelObj = nil

function PlazaPanel.Show()
    PanelMgr:ShowPanel("PlazaPanel", 2)
end

function PlazaPanel.Hide()
	PanelMgr:HidePanel("PlazaPanel")
end

function PlazaPanel.OnShow(obj)
    this.panelObj = obj
    this.SetUi(obj)
end

function PlazaPanel.OnHide()
    this.panelObj = nil
end

function PlazaPanel.SetUi(obj)
    local uiBinder = obj:GetComponent("PrefabObjBinder")
    -- 账号名
    uiBinder:SetText("accountText", LoginLogic.account)
    -- 返回按钮
    uiBinder:SetBtnClick("logoutBtn", function ()
		this.Hide()
		LoginPanel.Show()
    end)
end